let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/wv35g5lff84rray15zlzarcqi9fxzz84-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/1c1r48qa0m23vr9jy8sm0dc04vv14dak-coreutils-8.32/bin";
  bzip2 = "/nix/store/k0wh42ls7blspkc7mmpgwwp9c9a7zcbl-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/hm66rnx7pm0czliwa42nhnk8vfwwn774-gzip-1.10/bin/gzip";
  xz = "/nix/store/xai9ina2zqs2ycbrrgdy0dbldqb3n12c-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/n2dprmax869lb76gwpc2ygaqwbdgq7r0-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/1c1r48qa0m23vr9jy8sm0dc04vv14dak-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/nzp4m3cmm7wawk031byh8jg4cdzjq212-nix-2.3.16/bin";
  nixPrefix = "/nix/store/nzp4m3cmm7wawk031byh8jg4cdzjq212-nix-2.3.16";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/nzp4m3cmm7wawk031byh8jg4cdzjq212-nix-2.3.16/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
